module Ratr
  class MetaRating
    include Comparable

    attr_reader :score, :no_score
    def initialize(score, no_score = 'pity party')
      @score, @no_score = score, no_score
    end

    def <=>(other)
      return -1 if self.not_comparable?
      return 1 if other.not_comparable?

      self.score <=> other.score
    end

    def to_s
      score.to_s
    end

    protected
    def not_comparable?
      score == no_score
    end
  end
end
